Workflow Trigger Histories - List
Gets a list of workflow trigger histories.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Logic/workflows/{workflowName}/triggers/{triggerName}/histories?api-version=2019-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Logic/workflows/{workflowName}/triggers/{triggerName}/histories?api-version=2019-05-01&$top={$top}&$filter={$filter}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string |
The resource group name. |
|
subscription
|
path | True |
string |
The subscription id. |
|
trigger
|
path | True |
string |
The workflow trigger name. |
|
workflow
|
path | True |
string |
The workflow name. |
|
api-version
|
query | True |
string |
The API version. |
|
$filter
|
query |
string |
The filter to apply on the operation. Options for filters include: Status, StartTime, and ClientTrackingId. |
|
|
$top
|
query |
integer (int32) |
The number of items to be included in the result. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
List a workflow trigger history
Sample request
GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/workflows/testWorkflowName/triggers/testTriggerName/histories?api-version=2019-05-01
Sample response
{
"value": [
{
"properties": {
"startTime": "2018-08-10T20:16:32.0387927Z",
"endTime": "2018-08-10T20:16:32.2987996Z",
"scheduledTime": "2018-08-10T20:16:31.6344174Z",
"status": "Succeeded",
"code": "OK",
"correlation": {
"clientTrackingId": "08586676746934337772206998657CU22"
},
"fired": true,
"run": {
"name": "08586676746934337772206998657CU22",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/workflows/testWorkflowName/runs/08586676746934337772206998657CU22",
"type": "Microsoft.Logic/workflows/runs"
}
},
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/workflows/testWorkflowName/triggers/testTriggerName/histories/08586676746934337772206998657CU22",
"name": "08586676746934337772206998657CU22",
"type": "Microsoft.Logic/workflows/triggers/histories"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Content |
The content hash. |
|
Content |
The content link. |
| Correlation |
The correlation property. |
|
Error |
Error properties indicate why the Logic service was not able to process the incoming request. The reason is provided in the error message. |
|
Error |
Error response indicates Logic service is not able to process the incoming request. The error property contains the error details. |
| Object | |
|
Resource |
The resource reference. |
|
Workflow |
The workflow status. |
|
Workflow |
The workflow trigger history. |
|
Workflow |
The list of workflow trigger histories. |
ContentHash
The content hash.
| Name | Type | Description |
|---|---|---|
| algorithm |
string |
The algorithm of the content hash. |
| value |
string |
The value of the content hash. |
ContentLink
The content link.
| Name | Type | Description |
|---|---|---|
| contentHash |
The content hash. |
|
| contentSize |
integer (int64) |
The content size. |
| contentVersion |
string |
The content version. |
| metadata |
The metadata. |
|
| uri |
string |
The content link URI. |
Correlation
The correlation property.
| Name | Type | Description |
|---|---|---|
| clientTrackingId |
string |
The client tracking id. |
ErrorProperties
Error properties indicate why the Logic service was not able to process the incoming request. The reason is provided in the error message.
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code. |
| message |
string |
Error message indicating why the operation failed. |
ErrorResponse
Error response indicates Logic service is not able to process the incoming request. The error property contains the error details.
| Name | Type | Description |
|---|---|---|
| error |
The error properties. |
Object
ResourceReference
The resource reference.
| Name | Type | Description |
|---|---|---|
| id |
string |
The resource id. |
| name |
string |
Gets the resource name. |
| type |
string |
Gets the resource type. |
WorkflowStatus
The workflow status.
| Value | Description |
|---|---|
| NotSpecified | |
| Paused | |
| Running | |
| Waiting | |
| Succeeded | |
| Skipped | |
| Suspended | |
| Cancelled | |
| Failed | |
| Faulted | |
| TimedOut | |
| Aborted | |
| Ignored |
WorkflowTriggerHistory
The workflow trigger history.
| Name | Type | Description |
|---|---|---|
| id |
string |
The resource id. |
| name |
string |
Gets the workflow trigger history name. |
| properties.code |
string |
Gets the code. |
| properties.correlation |
The run correlation. |
|
| properties.endTime |
string (date-time) |
Gets the end time. |
| properties.error |
Gets the error. |
|
| properties.fired |
boolean |
The value indicating whether trigger was fired. |
| properties.inputsLink |
Gets the link to input parameters. |
|
| properties.outputsLink |
Gets the link to output parameters. |
|
| properties.run |
Gets the reference to workflow run. |
|
| properties.scheduledTime |
string (date-time) |
The scheduled time. |
| properties.startTime |
string (date-time) |
Gets the start time. |
| properties.status |
Gets the status. |
|
| properties.trackingId |
string |
Gets the tracking id. |
| type |
string |
Gets the workflow trigger history type. |
WorkflowTriggerHistoryListResult
The list of workflow trigger histories.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The URL to get the next set of results. |
| value |
A list of workflow trigger histories. |